/* ===== Root ===== */
:root {
  --bg: #fff;
  --ink: #23262d;
  --shadow: rgb(50, 52, 59);
  --muted: rgb(83, 83, 83);
  --dark: rgb(48, 55, 62);
  --orange: #ef6434;
  --line: rgba(35, 38, 45, 0.14);
  --max: 1290px;
  --border: rgb(239, 102, 55);
  --focus: rgb(239, 104, 57);
  --error: rgb(220, 50, 50);
  --icon: rgb(239, 100, 52);
  --button: rgb(48, 55, 62);
  --button-text: rgb(252, 252, 249);
}

body {
  background: var(--bg);
  color: #000;
}

.text-link {
  background-color: var(--button);
  color: var(--button-text);
  margin-top: unset;

  position: relative;
  right: -100%;
  opacity: 0;

  transition:
    opacity 0.7s ease,
    right 0.7s ease;
}

.text-link.is-visible {
  opacity: 1;
  right: 0;
}

/* ===== Projects ===== */
.section {
  padding: 2rem 0;
}

.item {
  display: grid;
  grid-template-columns: 1fr 1fr;
}

.item:not(:last-child) {
  margin-bottom: 2rem;
}

.pic img {
  width: 100%;
  height: 100%;
  display: block;
  object-fit: cover;
}

.item .content {
  display: flex;
  flex-direction: column;
  justify-content: center;
  padding: 0 20%;
}

.item h3 {
  font-size: 40px;
  font-weight: 600;
  line-height: 40px;
}

.item p {
  color: var(--muted);
  font-size: 16px;
  font-weight: 400;
}

.item span {
  font-size: 12px;
  font-weight: 800;
}

@media (max-width: 1024px) {
  .item .content {
    padding: 0 5%;
  }

  .item h3 {
    margin: 0 0 1rem;
  }
}

@media (max-width: 768px) {
  .item {
    display: grid;
    grid-template-columns: 1fr;
  }

  .item:not(:last-child) {
    margin-bottom: 3rem;
  }

  .item .pic {
    order: -1;
    max-height: 300px;
  }

  .item .content {
    padding: 0;
  }

  .item h3 {
    margin: 1rem 0;
    font-weight: 500;
  }

  .content-container {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
  }

  .item .text-link {
    align-self: center;
  }
}

@media (max-width: 576px) {
  .item .pic {
    max-height: 250px;
  }

  .item h3 {
    margin: 1rem 0;
    font-size: 32px;
    font-weight: 500;
  }
}
